## findbugs 3.0.1

=== design/architecture/Makefile ===
TEX_SRCS = architecture.tex
PDFS = $(TEX_SRCS:.tex=.pdf)

%.pdf : %.tex
	pdflatex $*
	pdflatex $*

all : $(PDFS)

clean :
	rm -f *.aux *.log

depend :
	./mkdep.pl $(TEX_SRCS) > depend.mak

depend.mak :
	touch depend.mak

include depend.mak

## findbugs 2.0.2

=== debian/changelog ===
findbugs (2.0.2-2) unstable; urgency=low

  * Team upload.
  * Remove duplicate copies of jar files (Closes: #726997)
    - Thanks for Helmut Grohne for noticing the issue.
  * Use canonical Vcs links.

 -- tony mancill <tmancill@debian.org>  Thu, 24 Oct 2013 22:30:23 -0700

findbugs (2.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #721054)

 -- ShuxiongYe <yeshuxiong@gmail.com>  Wed, 21 Aug 2013 04:07:28 +0800

=== debian/control ===
Source: findbugs
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: ShuxiongYe <yeshuxiong@gmail.com>, Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 9.0.0), default-jdk, ant, libsaxon-java,
 docbook-xsl (>= 1.76), libdom4j-java (>= 1.6.1), junit4,
 libasm3-java (>= 3.3), libjaxen-java (>= 1.1.1), libjsr305-java,
 libcommons-lang-java (>= 2.4), libjcip-annotations-java,
 libjdepend-java (>= 2.9), ant-optional,
 libfindbugs-bcel-java (>= 6.0~20130831),
 libjformatstring-java (>= 0.10~20081016-2), help2man, java-wrappers
Standards-Version: 3.9.4
Homepage: http://findbugs.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-java/findbugs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/findbugs.git

Package: findbugs
Architecture: all
Depends: ${misc:Depends}, libdom4j-java (>= 1.6.1), junit4,
 libasm3-java (>= 3.3), libjaxen-java (>= 1.1.1),
 libcommons-lang-java (>= 2.4), libjdepend-java (>= 2.9),
 libjcip-annotations-java, java-wrappers,
 libfindbugs-bcel-java (>= 6.0~20130831),
 libjsr305-java, libjformatstring-java (>= 0.10~20081016-2),
 default-jre
Description: Static java code analyzer to find bugs
 Findbugs is a program which uses static analysis to look for bugs in Java
 code. It can analyze programs compiled for any version of Java, from 1.0
 to 1.8.
 .
 Findbugs provides both GUI and command line interfaces and supports many
 bug patterns.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

#JAVA_HOME = /usr/lib/jvm/default-java

SHAREPACDIR=$(SHAREDIR)/$(BASE_NAME)



%:
	dh $@

override_dh_auto_build:
	ant build docs

override_dh_auto_install:

	chmod -x $(CURDIR)/bin/findbugs.ico

	mkdir -p $(CURDIR)/debian/findbugs/usr/bin

	# install docs here
	cp -R $(CURDIR)/doc/manual $(CURDIR)/doc/html

	dh_install --sourcedir=$(CURDIR)
	dh_link

	# prepare findbugs.1
	help2man -h "-help" -v "-version" \
		-n "Static Java Code Analyzer" \
		$(CURDIR)/debian/findbugs/usr/bin/fb \
		-o $(CURDIR)/debian/fb.1
	help2man -h "-textui" -v "-version" \
		-n "Static Java Code Analyzer" \
		$(CURDIR)/debian/findbugs/usr/bin/findbugs \
		-o $(CURDIR)/debian/findbugs.1

override_dh_auto_test:
	ant test
	dh_auto_test

## findbugs 2.0.3+repack

=== debian/changelog ===
findbugs (2.0.3+repack-1) unstable; urgency=medium

  * Team upload.
  * Install annotations.jar file and pom into /usr/share/maven-repo for
    use of findbugs annotations with projects that use maven. 
  * Update orig-tar.sh to fully clean all generated sources from upstream
    tarball (Closes: #726988), repack 2.0.3 release.
  * d/p/0008-fix-docbook-ref.patch: Switch use of online docbookx.dtd
    to locally shipped copy to fixup offline builds (Closes: #733186).

 -- James Page <james.page@ubuntu.com>  Sat, 04 Jan 2014 22:11:39 +0000

findbugs (2.0.3-1) unstable; urgency=low

  * New upstream version of 2.0.3.

  [ Sylvestre Ledru ]
  * Standards-Version updatd to 3.9.5

 -- ShuxiongYe <yeshuxiong@gmail.com>  Tue, 17 Dec 2013 18:01:37 +0800

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
  libcommons-lang-java (>= 2.4), libjcip-annotations-java,
  libjdepend-java (>= 2.9), ant-optional,
  libfindbugs-bcel-java (>= 6.0~20130831),
- libjformatstring-java (>= 0.10~20081016-2), help2man, java-wrappers
-Standards-Version: 3.9.4
+ libjformatstring-java (>= 0.10~20081016-2), help2man, java-wrappers,
+ maven-repo-helper
+Standards-Version: 3.9.5
 Homepage: http://findbugs.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-java/findbugs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/findbugs.git

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,12 @@
 
 
 %:
-	dh $@
+	dh $@ --with maven_repo_helper
 
 override_dh_auto_build:
-	ant build docs
+	ant docs build
 
 override_dh_auto_install:
-
 	chmod -x $(CURDIR)/bin/findbugs.ico
 
 	mkdir -p $(CURDIR)/debian/findbugs/usr/bin
@@ -27,6 +26,10 @@
 
 	dh_install --sourcedir=$(CURDIR)
 	dh_link
+
+	mh_installpom -pfindbugs debian/poms/findbugs-annotations.pom
+	mh_installjar -pfindbugs debian/poms/findbugs-annotations.pom \
+		--usj-name=findbugs-annotations -l lib/annotations.jar
 
 	# prepare findbugs.1
 	help2man -h "-help" -v "-version" \
@@ -38,6 +41,13 @@
 		$(CURDIR)/debian/findbugs/usr/bin/findbugs \
 		-o $(CURDIR)/debian/findbugs.1
 
+override_dh_auto_clean:
+	rm -f $(CURDIR)/debian/findbugs.1 $(CURDIR)/debian/fb.1
+	rm -f lib/*.jar
+	rm -rf classesEclipse/
+	rm -f src/doc/allBugDescriptions.html src/doc/bugDescriptions.html
+	dh_auto_clean
+
 override_dh_auto_test:
 	ant test
 	dh_auto_test

=== debian/watch ===
version=3
http://sf.net/findbugs/findbugs-([\d\.]+)-source\.zip \
debian debian/orig-tar.sh

## findbugs 3.0.1

=== debian/changelog ===
findbugs (3.0.1-2) unstable; urgency=medium

  * Team upload.
  * Fixed a build failure with Java 8
  * Standards-Version updated to 3.9.7 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Feb 2016 15:08:27 +0100

findbugs (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. (Closes: #776608)
  * Use xz compression for upstream tarball.
  * Depend on java7-runtime.
  * Refresh patches and add patches as necessary.
  * Update build-dep on asm to from asm3 to asm4.  (Closes: #800866)

 -- tony mancill <tmancill@debian.org>  Sun, 10 Jan 2016 08:53:41 -0800

findbugs (2.0.3+repack-2) unstable; urgency=medium

  * Team upload.
  * Fixed the compilation failure with BCEL 6.0 RC3 (Closes: #796430)
  * Depend on default-jre | java5-runtime (Closes: #793860)
  * Depend on bcel instead of findbugs-bcel
  * Standards-Version updated to 3.9.6 (no changes)
  * Changed the priority from extra to optional

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 10 Dec 2015 15:28:40 +0100

=== debian/control ===
Source: findbugs
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: ShuxiongYe <yeshuxiong@gmail.com>, Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: ant,
               ant-optional,
               debhelper (>= 9.0.0),
               default-jdk,
               docbook-xsl (>= 1.76),
               help2man,
               java-wrappers,
               junit4,
               libasm4-java,
               libbcel-java (>= 6.0~rc3),
               libcommons-lang-java (>= 2.4),
               libdom4j-java (>= 1.6.1),
               libjaxen-java (>= 1.1.1),
               libjcip-annotations-java,
               libjdepend-java (>= 2.9),
               libjformatstring-java (>= 0.10~20081016-2),
               libjsr305-java,
               libsaxon-java,
               maven-repo-helper
Standards-Version: 3.9.7
Vcs-Git: git://anonscm.debian.org/pkg-java/findbugs.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/findbugs.git
Homepage: http://findbugs.sourceforge.net

Package: findbugs
Architecture: all
Depends: default-jre | java7-runtime,
         java-wrappers,
         junit4,
         libasm4-java,
         libbcel-java (>= 6.0~rc3),
         libcommons-lang-java (>= 2.4),
         libdom4j-java (>= 1.6.1),
         libjaxen-java (>= 1.1.1),
         libjcip-annotations-java,
         libjdepend-java (>= 2.9),
         libjformatstring-java (>= 0.10~20081016-2),
         libjsr305-java,
         ${misc:Depends}
Description: Static java code analyzer to find bugs
 Findbugs is a program which uses static analysis to look for bugs in Java
 code. It can analyze programs compiled for any version of Java, from 1.0
 to 1.8.
 .
 Findbugs provides both GUI and command line interfaces and supports many
 bug patterns.

=== debian/rules ===
--- 
+++ 
@@ -3,18 +3,13 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
-
 #JAVA_HOME = /usr/lib/jvm/default-java
-
-SHAREPACDIR=$(SHAREDIR)/$(BASE_NAME)
-
-
 
 %:
 	dh $@ --with maven_repo_helper
 
 override_dh_auto_build:
-	ant docs build
+	ant docs build -Dant.java.version=1.7
 
 override_dh_auto_install:
 	chmod -x $(CURDIR)/bin/findbugs.ico
@@ -22,7 +17,8 @@
 	mkdir -p $(CURDIR)/debian/findbugs/usr/bin
 
 	# install docs here
-	cp -R $(CURDIR)/doc/manual $(CURDIR)/doc/html
+	mkdir -p $(CURDIR)/debian/findbugs/usr/share/doc/findbugs
+	cp -Rv $(CURDIR)/build/doc/manual $(CURDIR)/debian/findbugs/usr/share/doc/findbugs/html
 
 	dh_install --sourcedir=$(CURDIR)
 	dh_link
@@ -45,10 +41,10 @@
 	rm -f $(CURDIR)/debian/findbugs.1 $(CURDIR)/debian/fb.1
 	rm -f lib/*.jar
 	rm -rf classesEclipse/
-	rm -f src/doc/allBugDescriptions.html src/doc/bugDescriptions.html
+	rm -f src/doc/allBugDescriptions.html src/doc/bugDescriptions.html src/doc/bugDescriptions_??.html
 	dh_auto_clean
 
 override_dh_auto_test:
-	ant test
+	ant test -Dant.java.version=1.7
 	dh_auto_test

## findbugs 3.1.0~preview2

=== design/architecture/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 PDFS = $(TEX_SRCS:.tex=.pdf)
 
 %.pdf : %.tex
+	pdflatex $*
 	pdflatex $*
 	pdflatex $*

=== debian/changelog ===
findbugs (3.1.0~preview2-3) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #873214)
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 12 Mar 2018 14:28:23 +0100

findbugs (3.1.0~preview2-2) unstable; urgency=medium

  * Team upload.
  * Fixed a source incompatibility with dom4j 2.x
  * Switch to debhelper level 10
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 14 Oct 2017 01:15:24 +0200

findbugs (3.1.0~preview2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Depend on Java 8
    - Depend on libbcel-java (>= 6.0) (Closes: #832842)
    - Refreshed debian/copyright
  * Moved the core library, the annotations and the Ant tasks to distinct
    packages (Closes: #808707)
  * Reproducibility: replaced the timestamps in version.properties,
    the man pages and the documentation with SOURCE_DATE_EPOCH
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Removed junit4 and jdepend from the runtime dependencies
  * debian/rules: Generate the man pages during the build phase
  * debian/watch: Track the release tags on GitHub
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Aug 2016 19:51:06 +0200

=== debian/control ===
Source: findbugs
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: ShuxiongYe <yeshuxiong@gmail.com>, Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: ant,
               ant-optional,
               debhelper (>= 11),
               default-jdk (>= 2:1.8),
               docbook-xsl (>= 1.76),
               help2man,
               java-wrappers,
               junit4,
               libasm-java (>= 5.0),
               libbcel-java (>= 6.0),
               libcommons-lang-java (>= 2.4),
               libdom4j-java (>= 1.6.1),
               libjaxen-java (>= 1.1.1),
               libjcip-annotations-java,
               libjdepend-java (>= 2.9),
               libjformatstring-java (>= 0.10~20131207-2~),
               libjsr305-java,
               libsaxon-java,
               maven-repo-helper
Standards-Version: 4.1.3
Vcs-Git: https://anonscm.debian.org/git/pkg-java/findbugs.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/findbugs.git
Homepage: http://findbugs.sourceforge.net

Package: findbugs
Architecture: all
Depends: default-jre (>= 2:1.8) | java8-runtime,
         libfindbugs-ant-java,
         libfindbugs-java,
         java-wrappers,
         ${misc:Depends}
Description: Static java code analyzer to find bugs
 FindBugs is a program which uses static analysis to look for bugs in Java
 code. It can analyze programs compiled for any version of Java, from 1.0
 to 1.8.
 .
 FindBugs provides both GUI and command line interfaces and supports many
 bug patterns.

Package: libfindbugs-java
Architecture: all
Depends: libasm-java (>= 5.0),
         libcommons-lang-java (>= 2.4),
         libbcel-java (>= 6.0),
         libdom4j-java (>= 1.6.1),
         libjaxen-java (>= 1.1.1),
         libjcip-annotations-java, libjsr305-java,
         libjformatstring-java (>= 0.10~20131207-2~),
         ${misc:Depends}
Breaks: findbugs (<< 3.1.0~)
Replaces: findbugs (<< 3.1.0~)
Description: Static java code analyzer to find bugs (Library)
 FindBugs is a program which uses static analysis to look for bugs in Java
 code. It can analyze programs compiled for any version of Java, from 1.0
 to 1.8.
 .
 This package contains the FindBugs library.

Package: libfindbugs-annotations-java
Architecture: all
Depends: ${misc:Depends}
Breaks: findbugs (<< 3.1.0~)
Replaces: findbugs (<< 3.1.0~)
Description: Static java code analyzer to find bugs (Annotations)
 FindBugs is a program which uses static analysis to look for bugs in Java
 code. It can analyze programs compiled for any version of Java, from 1.0
 to 1.8.
 .
 This package contains the FindBugs annotations.

Package: libfindbugs-ant-java
Architecture: all
Depends: libfindbugs-java, ${misc:Depends}
Breaks: findbugs (<< 3.1.0~)
Replaces: findbugs (<< 3.1.0~)
Description: Static java code analyzer to find bugs (Ant tasks)
 FindBugs is a program which uses static analysis to look for bugs in Java
 code. It can analyze programs compiled for any version of Java, from 1.0
 to 1.8.
 .
 This package contains the FindBugs Ant tasks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with maven-repo-helper

override_dh_auto_build:
	ant docs build -Dant.java.version=1.8

	# prepare findbugs.1
	help2man -h "-help"   -v "-version" -n "Static Java Code Analyzer" ./bin/fb       -o debian/fb.1
	help2man -h "-textui" -v "-version" -n "Static Java Code Analyzer" ./bin/findbugs -o debian/findbugs.1

override_dh_auto_install:
	dh_auto_install

	chmod -x $(CURDIR)/bin/findbugs.ico

	mkdir -p $(CURDIR)/debian/findbugs/usr/bin

	dh_install --sourcedir=$(CURDIR)
	dh_link

override_dh_auto_clean:
	rm -f $(CURDIR)/debian/findbugs.1 $(CURDIR)/debian/fb.1
	rm -f lib/*.jar
	rm -rf classesEclipse/
	rm -f src/doc/allBugDescriptions.html src/doc/bugDescriptions.html src/doc/bugDescriptions_??.html
	dh_auto_clean

override_dh_auto_test:
	ant test -Dant.java.version=1.8
	dh_auto_test

=== debian/watch ===
version=3
opts=uversionmangle=s/_preview/~preview/;s/_RC/~rc/ \
https://github.com/findbugsproject/findbugs/tags .*/archive/([\d\.]+.*).tar.gz debian debian/orig-tar.sh
